Get a watchlist by ID

Base URL
https://{kibana_url}
  • GET /api/entity_analytics/watchlists/{id}
  • GET /s/{space_id}/api/entity_analytics/watchlists/{id}
Auth

Retrieves the details of an entity analytics watchlist by its unique identifier.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string required

Unique ID of the watchlist

Response

Watchlist details

application/json
createdAt string · format: date-time

Timestamp indicating when the watchlist was created

description string

Description of the watchlist

entityCount number

Number of entities in the watchlist

entitySourceIds string[]

List of entity source IDs associated with the watchlist

hasManualEntities boolean

Indicates whether the watchlist contains manually assigned entities

id string

The unique ID of the watchlist

managed boolean required

Indicates if the watchlist is managed by the system

name string required

The name of the watchlist

riskModifier number required

Risk score modifier associated with the watchlist

updatedAt string · format: date-time

Timestamp indicating when the watchlist was last updated

Base URL
https://{kibana_url}